Loading...
Searching...
No Matches
Ogre::Camera::Listener Class Reference

Listener interface so you can be notified of Camera events. More...

`#include <OgreCamera.h>`

## Public Member Functions

| Listener ()
virtual | ~Listener ()
virtual void | cameraDestroyed (Camera *cam)
| Called when the camera is being destroyed.
virtual void | cameraPostRenderScene (Camera *cam)
| Called after the scene has been rendered with this camera.
virtual void | cameraPreRenderScene (Camera *cam)
| Called prior to the scene being rendered with this camera.

## Detailed Description

Listener interface so you can be notified of Camera events.

## Constructor & Destructor Documentation

## Listener()

Ogre::Camera::Listener::Listener | ( |  | ) |

inline

## ~Listener()

virtual Ogre::Camera::Listener::~Listener | ( |  | ) |

inline virtual

## Member Function Documentation

## cameraPreRenderScene()

virtual void Ogre::Camera::Listener::cameraPreRenderScene | ( | Camera * | cam | ) |

inline virtual

Called prior to the scene being rendered with this camera.

References Ogre::Camera::Camera().

## cameraPostRenderScene()

virtual void Ogre::Camera::Listener::cameraPostRenderScene | ( | Camera * | cam | ) |

inline virtual

Called after the scene has been rendered with this camera.

References Ogre::Camera::Camera().

## cameraDestroyed()

virtual void Ogre::Camera::Listener::cameraDestroyed | ( | Camera * | cam | ) |

inline virtual

Called when the camera is being destroyed.

References Ogre::Camera::Camera().

The documentation for this class was generated from the following file:

- OgreCamera.h